This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 241211 - pam_smbpass does not work
pam_smbpass does not work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Guenther Deschner
David Lawrence
:
: 241213 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 09:23 EDT by Bartlomiej Solarz-NIesluchowski
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0.25a-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 09:04:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 4657 None None None Never

  None (edit)
Description Bartlomiej Solarz-NIesluchowski 2007-05-24 09:23:01 EDT
Description of problem:
on FC5 x86_64 when i recompile rpmbuild --rebuild package samba-3.0.25-
2.fc7.src.rpm module pam_smbpasswd does not work (pam told that this module is 
unknown)

How reproducible:
always

Steps to Reproduce:
1. recompile samba-3.0.25-2.fc7.src.rpm 
2. install it + add into PAM system-auth password   
required    /lib64/security/pam_smbpass.so debug try_first_pass use_authtok 
smbconf=/etc/samba/smb.conf
3. try passwd test
  
Actual results:
oceanic:~# passwd test
Changing password for user test.
passwd: Module is unknown

Expected results:
oceanic:~# passwd test
Changing password for user test.
New UNIX password:


Additional info:
oceanic:~# ls -l /lib64/security/pam_smbpass.so
-rwxr-xr-x 1 root root 4192 May 23 21:11 /lib64/security/pam_smbpass.so
Comment 1 Bartlomiej Solarz-NIesluchowski 2007-05-24 10:12:25 EDT
this bug is involved by samba code.

> -PAM_SMBPASS_OBJ_0 = pam_smbpass/pam_smb_auth.o pam_smbpass/pam_smb_passwd.o \
> +PAM_SMBPASS_OBJ = pam_smbpass/pam_smb_auth.o pam_smbpass/pam_smb_passwd.o \
>               pam_smbpass/pam_smb_acct.o pam_smbpass/support.o \
>               $(PARAM_OBJ) $(LIB_NONSMBD_OBJ) $(PASSDB_OBJ) $(GROUPDB_OBJ) \


and i think second is:
bin/pam_smbpass.so: $(PAM_SMBPASS_OBJ)
        @echo "Linking shared library $@"
        @$(SHLD) $(LDSHFLAGS) -o $@ $(PAM_SMBPASS_OBJ) -lsmbclient -lpam 
$(DYNEXP) $(LIBS) $(LDAP_LIBS) $(KRB5LIBS) $(NSCD_LIBS)

(-lsmbclient)
Comment 2 Guenther Deschner 2007-05-24 11:17:29 EDT
*** Bug 241213 has been marked as a duplicate of this bug. ***
Comment 3 Guenther Deschner 2007-05-24 11:19:51 EDT
I already filed another fix at https://bugzilla.samba.org/show_bug.cgi?id=4657

Can you quickly test that, too?
Comment 4 Bartlomiej Solarz-NIesluchowski 2007-05-24 12:35:49 EDT
Tested in common works
Comment 5 Guenther Deschner 2007-05-24 16:48:40 EDT
Fixed upstream, now porting to our packages.
Comment 6 Guenther Deschner 2007-06-11 09:04:45 EDT
Fixed in published packages. 

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.